title: pc export
author: M.Whillock@ucl.ac.uk
date: 02 Jul 2020

Copyright © 2020 University College London / MSSL

--


# Introduction

This a step by step instruction manual on how to enable file export from a pc runnig Windows 10 and how to mount the exported directory on a linux machine.

## Prerequisites

* Admin permissions level on the Windows 10 pc.
* Membership of sudoers on linux or root access.

## Disclaimer

This procedure has been tested on a Windows 10 machine and a Linux Mint machine. As Windows is a well known pile of garbage the dialog boxes and procedure may vary even on other Windows 10 machines so your mileage may vary. God help you if you are trying this on a Windows 8 box.

The procedure should work on all flavours of Linux but this is just a stab in the dark.

# Procedure - pc

## Enable anonymous user file sharing

1. Click the network mini-icon in the bottom right of the tab bar and click on  *Network & Internet settings*.

	![step1](step1.png)

2. Click on *Network and Sharing Center*.

	![step2](step2.png)

3. Click on *Change advanced sharing settings*.

	![step3](step3.png)

4. Click on the disclosure button for the *All Networks* option.

	![step4](step4.png)

5. In the *Password-protected sharing* setting select the *Turn off password-protected sharing* option and *Save changes*.

	![step5](step5.png)


## Create the shared folder

The instructions in this section assume that the shared folder is created on the Desktop and is called 'share'.

1. Create a folder on the Desktop called 'share'. Right-click on the folder and select `Properties`.
	
	The `Network path` will be filled-in by Windows and should be in the form `\\pc-name\shared-folder-name`. If this is not the case then this field can be edited manually.

	![step6](step6.png)

2. Using the drop-down menu add the user `Everyone`. Give the user *Read/Write* permissions. Click the `Share` button

	![step7](step7.png)

3. Back in the `Properties` dialog (from step 1 in this section) click the *Advanced Sharing...* button.

	![step8](step8.png)

4. Click in the *Share this folder* checkbox. If this is greyed out select the folder to share from the drop-down menu with the title *Share name:* before clicking the checkbox.

	![step9](step9.png)

5. Click the *Permissions* button.

	![step10](step10.png)

6. The *Group or user names:* should show *Everyone*. Click in the *Allow* checkbox for the *Full Control* row.

	![step11](step11.png)

7. Click *Apply* and then *Ok*. Click the *Apply* (if available) and *Ok* buttons in any remaining dialog boxes to close them.

	![step12](step12.png)

8. Press `Windows key` + `r`. This will bring up the *Run* dialog. Type in `optionalfeatures` and hit *Ok*.

	![step13](step13.png)

9. In the *Windows Features* dialog box scroll down to the *SMB* section. Tick all of the *SMB* options. Press *Ok*.

	![step14](step14.png)

	To test that the linux machine can see files in the shared folder create a new file in the shared folder called foo.txt.


That should be that... I know, no reboots! That can't be right.


# Procedure - Linux

## Mount the exported pc folder

If the user has root access then the following steps can be done as root rather than using *sudo*.

1. Create a directory in the linux filesystem - in this example it is at /media/pc_export  	`sudo mkdir /media/pc_export` 
2. Change the permissions of the directory to `rwx` for user and `rx` for groups and other if not already set: 
	`sudo chmod 755 /media/pc_export`.  	Typing `ls /media/pc_export` should return nothing as the pc exported directory is not yet mounted.
3. Mount the exported pc folder:
 	`sudo mount.cifs <service> <mount_point> -o user=username` **or**  	`sudo mount -t cifs <service> /media/pc_export -o user=username`.

	The *\<service>* is the path to the exported pc folder in the form `//pc_name/exported_folder`. In this guide this is `//WIN10THING/share`.
	
	The *\<mount_point>* is `/media/pc_export`.
	
	The argument *-o* and follwing arguments are optional and made no difference when performed on Linux Mint.
	
	Typing `ls /media/pc_export` now should list the *foo.txt* file.

4. To unmount the exported pc folder type:

	`sudo umount -t cifs /media/pc_export`




